stompy
======

Stompy is a ruby client for the STOMP protocol. Since it uses non-blocking
IO it does not depend on eventmachine or require and additional thread.

[ ![Build status - Travis-ci](https://secure.travis-ci.org/paulasmuth/stompy.png) ](http://travis-ci.org/paulasmuth/stompy)


Usage
-----

```ruby
require "rubygems"
require "stompy"

client = Stompy.new(
  :host     => "localhost",
  :port     => 61613,
  :username => "admin"
  :password => "password")


# subscribe to "my_channel"
client.subscribe("my_channel") 

# next_message blocks until the next message is available
while msg = client.next_message
  # print the received message
  puts msg.headers.inspect
  puts msg.body.inspect

  # publish "OK" to some_channel with my_header=123
  client.publish("some_channel", "OK",
    :my_header => "123")
end
```

timeouts...

Installation
------------

    gem install stompy

or in your Gemfile:

    gem 'stompy', '>= 0.1'



License
-------

Copyright (c) 2011 Paul Asmuth

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to use, copy and modify copies of the Software, subject 
to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
